View Issue Details

IDProjectCategoryView StatusLast Update
0001172Склад[All Projects] Generalpublic2019-01-28 17:55
ReporterruslanAssigned Tobarry 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0001172: +Склад-Форма Расходной накладной-Разрешить изменение привязки к Производственному заказу для Внутренних передач-комплектация
DescriptionФорма Расходной накладной тип документа Внутренняя передача - Закладка Дополнительно. При редактировании Внутренней передачи(в т.ч. и в модуле Склад) при отсутствии выдачи из Приходной части внутренней передачи или Даты выдачи в расходной части разрешать выбирать незакрытый(отходы не распределены)Производственный заказ.
Список заказов фильтровать по Складу Получателю(типа Производство)
Additional InformationСейчас для внутренней передачи(в модуле Склад) с установленной датой выдачи - поле Производственный заказ задизейблено. Для Накладной со снятой датой выдачи поле открыто, НО при сохранении Накладная не привязывается к Производственному заказу.
TagsNo tags attached.

Relationships

related to 0001218 closedbarry Производство +Производство-Заказы-Форма списания возвратного акта- При сохранении Документа созданного из Раскроя-Сформировать возвратный акт 

Activities

ruslan

2017-11-09 21:50

manager   ~0002989

Сортировку заказов в поле выбора на закладке Дополнительно в форме Расходной накл./Счета сделай от больших дат заказов к меньшим.

barry

2017-11-15 07:49

administrator   ~0002998

stor32.zip

ruslan

2017-11-16 11:04

manager   ~0002999

1. Сейчас работает ТОЛЬКО для невыданных документов, сделай проверку на отсутствие выдачи из приходной части внутренней передачи тоже, чтоб не отменять дату выдачи.
2. В списке выбора производственного заказа нет фильтра по производственному цеху, куда передается документ(Склад-получатель).

barry

2017-11-21 20:17

administrator   ~0003001

stor32.zip

ruslan

2017-11-22 18:09

manager   ~0003003

1. Фильтр по цеху работает.
2. После обновления странно себя ведет поле Заказ... для Накладных, которые не выданы(из приходной части):
- для уже привязанного к производственному заказу документа - поле пустое при открытии накладной;
- при указании заказа и сохранении накладной этот заказ сохраняется.

barry

2017-11-27 10:14

administrator   ~0003006

stor32.zip

barry

2018-01-24 11:14

administrator   ~0003166

stor32.zip
work32.zip

ruslan

2018-01-25 14:21

manager   ~0003178

Произошла ошибка:
Invalid pointer operation
-----
execute procedure SysConst_SetOrgnUserValue :ORGNID, :UserID, :Name, :Val


Склад[BARRY]
Application.MainForm: FormStor(TFormStor) XE2 Склад: OLIMP-2015 (ОЛІМП) [Разработчик системы]
ActiveForm: FormStor(TFormStor) XE2 Склад: OLIMP-2015 (ОЛІМП) [Разработчик системы]
ActiveCustomForm: FormStor(TFormStor) XE2 Склад: OLIMP-2015 (ОЛІМП) [Разработчик системы]

Issue History

Date Modified Username Field Change
2017-11-02 14:06 ruslan New Issue
2017-11-09 21:50 ruslan Note Added: 0002989
2017-11-15 07:49 barry Note Added: 0002998
2017-11-15 07:49 barry Assigned To => barry
2017-11-15 07:49 barry Status new => feedback
2017-11-16 11:04 ruslan Note Added: 0002999
2017-11-16 11:04 ruslan Status feedback => assigned
2017-11-21 20:17 barry Note Added: 0003001
2017-11-22 18:09 ruslan Note Added: 0003003
2017-11-22 18:09 ruslan Status assigned => feedback
2017-11-27 10:14 barry Note Added: 0003006
2018-01-24 11:14 barry Note Added: 0003166
2018-01-24 11:16 barry Relationship added related to 0001218
2018-01-25 14:21 ruslan Note Added: 0003178
2018-01-25 14:21 ruslan Status feedback => assigned
2018-01-31 17:53 ruslan Status assigned => resolved
2018-01-31 17:53 ruslan Resolution open => fixed
2019-01-28 17:55 ruslan Status resolved => closed